[package]
name = "nostr-rs-types"
version = "0.1.0"
edition = "2021"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]
base64 = "0.21.0"
bech32 = "0.9.1"
chrono = "0.4.23"
custom_derive = "0.1.7"
enum_derive = "0.1.7"
hex = "0.4"
rand = "0.8.5"
secp256k1 = { version = "0.26.0", features = ["global-context"] }
serde = { version = "1.0", features = ["derive"] }
serde_json = "1.0"
sha2 = "0.10.6"
thiserror = "1.0.39"

